// pages/visitListInfo/visitListInfo.js
const app = require('../../utils/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    arr: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '加载中',
    })
    console.log(options.id)
    wx.request({
      url: app.globalData.publicUrl + '/visit/one',
      method: "GET",
      data: {
        id: options.id
      },
      success: res => {
        if (res.data.code == 0) {
          console.log('我查到老人详细的巡访信息了', res.data.data.visitTime)
          res.data.data.visitTime = this.formatDate1(res.data.data.visitTime);
          this.setData({
            arr: res.data.data
          })
          console.log(res.data.data)
        } else {
          wx.showModal({
            showCancel: false,
            content: res.data.message,
          })
        }
      },
      complete: () => {
        wx.hideLoading()
      }
    });
  },
  formatTen(num) {
    return num > 9 ? num + "" : "0" + num;
  },
  formatDate1(date) {
    var date = new Date(date);
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var day = date.getDate();
    var hour = date.getHours();
    var minute = date.getMinutes();
    var second = date.getSeconds();
    return (
      year +
      "-" +
      this.formatTen(month) +
      "-" +
      this.formatTen(day) +
      " " +
      this.formatTen(hour) +
      ":" +
      this.formatTen(minute) +
      ":" +
      this.formatTen(second)
    );
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})